Subject: [PATCH v3 0/5] clk: dt: bindings for mux, divider & gate clocks

From: [email-masked] (Heiko Stübner)
Date: Sat, 22 Jun 2013 19:04:41 +0200

Am Freitag, 21. Juni 2013, 08:14:11 schrieb Mike Turquette:
> This series introduces binding definitions for common register-mapped
> clock multiplexer, divider and gate IP blocks along with the
> corresponding setup functions for matching DT data.  The bindings are
> similar to the struct definitions but please don't hold that against the
> binding: the struct definitions closely model the hardware register
> layout.
> 
> This version fixes bugs and incorporates support for the hiword-mask
> property needed on Hisilicon and Rockchip platforms.
> 
> Tested on OMAP4460 Panda ES.

Now it works like a charm :-), so on a rk3066a based board

Tested-by: Heiko Stuebner <[email-masked]>
Reviewed-by: Heiko Stuebner <[email-masked]>

> Mike Turquette (5):
>   clk: divider: replace bitfield width with mask
>   clk: of: helper for determining number of parent clocks
>   clk: dt: binding for basic multiplexer clock
>   clk: dt: binding for basic divider clock
>   clk: dt: binding for basic gate clock
> 
>  .../devicetree/bindings/clock/divider-clock.txt    |  90 +++++++++++++++
>  .../devicetree/bindings/clock/gate-clock.txt       |  36 ++++++
>  .../devicetree/bindings/clock/mux-clock.txt        |  79 +++++++++++++
>  arch/arm/mach-imx/clk-busy.c                       |   2 +-
>  drivers/clk/clk-divider.c                          | 127
> ++++++++++++++++++--- drivers/clk/clk-gate.c                             |
>  43 +++++++
>  drivers/clk/clk-mux.c                              |  65 ++++++++++-
>  drivers/clk/clk.c                                  |   6 +
>  drivers/clk/mxs/clk-div.c                          |   2 +-
>  include/linux/clk-private.h                        |   2 +-
>  include/linux/clk-provider.h                       |  12 +-
>  11 files changed, 441 insertions(+), 23 deletions(-)
>  create mode 100644
> Documentation/devicetree/bindings/clock/divider-clock.txt create mode
> 100644 Documentation/devicetree/bindings/clock/gate-clock.txt create mode
> 100644 Documentation/devicetree/bindings/clock/mux-clock.txt